## org.apache.mahout.utils.io
Interface WrappedWriter

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  ChunkedWrapper, IOWriterWrapper

    public interface WrappedWriter

extends Closeable

Convenience class for wrapping either a java.io.Writer or a SequenceFile.Writer with some basic functionality

Method Summary
`void` `write(String key, String value)` Writes a new key-value pair.

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### write

    void write(String key,
               String value)
               throws IOException

  Writes a new key-value pair.

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.